diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/query.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/query.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/query.php	2013-07-09 00:23:53.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/query.php	2013-10-23 15:58:09.000000000 -0500
***************
*** 3568,3573 ****
--- 3817,3837 ----
  		global $wp_the_query;
  		return $wp_the_query === $this;
  	}
+ 
+ 	/**
+ 	 * After looping through a nested query, this function
+ 	 * restores the $post global to the current post in this query.
+ 	 *
+ 	 * @since 3.7.0
+ 	 *
+ 	 * @return bool
+ 	 */
+ 	function reset_postdata() {
+ 		if ( ! empty( $this->post ) ) {
+ 			$GLOBALS['post'] = $this->post;
+ 			setup_postdata( $this->post );
+ 		}
+ 	}
  }
  
  /**
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/rewrite.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/rewrite.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/rewrite.php	2013-04-29 08:25:15.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/rewrite.php	2013-10-02 14:42:09.000000000 -0500
***************
*** 207,217 ****
  define('EP_PAGES', 4096);
  
  /**
   * Endpoint Mask for everything.
   *
   * @since 2.1.0
   */
! define('EP_ALL', 8191);
  
  /**
   * Add an endpoint, like /trackback/.
--- 207,224 ----
  define('EP_PAGES', 4096);
  
  /**
+  * Endpoint Mask for all archive views.
+  *
+  * @since 3.7.0
+  */
+ define( 'EP_ALL_ARCHIVES', EP_DATE | EP_YEAR | EP_MONTH | EP_DAY | EP_CATEGORIES | EP_TAGS | EP_AUTHORS );
+ 
+ /**
   * Endpoint Mask for everything.
   *
   * @since 2.1.0
   */
! define( 'EP_ALL', EP_PERMALINK | EP_ATTACHMENT | EP_ROOT | EP_COMMENTS | EP_SEARCH | EP_PAGES | EP_ALL_ARCHIVES );
  
  /**
   * Add an endpoint, like /trackback/.
***************
*** 317,336 ****
  	if ( !$wp_rewrite->using_index_permalinks() )
  		$url = str_replace( $wp_rewrite->index . '/', '', $url );
  
! 	if ( false !== strpos($url, home_url()) ) {
! 		// Chop off http://domain.com
  		$url = str_replace(home_url(), '', $url);
  	} else {
  		// Chop off /path/to/blog
! 		$home_path = parse_url(home_url());
  		$home_path = isset( $home_path['path'] ) ? $home_path['path'] : '' ;
! 		$url = str_replace($home_path, '', $url);
  	}
  
  	// Trim leading and lagging slashes
  	$url = trim($url, '/');
  
  	$request = $url;
  
  	// Look for matches.
  	$request_match = $request;
--- 324,349 ----
  	if ( !$wp_rewrite->using_index_permalinks() )
  		$url = str_replace( $wp_rewrite->index . '/', '', $url );
  
! 	if ( false !== strpos( trailingslashit( $url ), home_url( '/' ) ) ) {
! 		// Chop off http://domain.com/[path]
  		$url = str_replace(home_url(), '', $url);
  	} else {
  		// Chop off /path/to/blog
! 		$home_path = parse_url( home_url( '/' ) );
  		$home_path = isset( $home_path['path'] ) ? $home_path['path'] : '' ;
! 		$url = preg_replace( sprintf( '#^%s#', preg_quote( $home_path ) ), '', trailingslashit( $url ) );
  	}
  
  	// Trim leading and lagging slashes
  	$url = trim($url, '/');
  
  	$request = $url;
+ 	$post_type_query_vars = array();
+ 
+ 	foreach ( get_post_types( array() , 'objects' ) as $post_type => $t ) {
+ 		if ( ! empty( $t->query_var ) )
+ 			$post_type_query_vars[ $t->query_var ] = $post_type;
+ 	}
  
  	// Look for matches.
  	$request_match = $request;
***************
*** 358,373 ****
  
  			// Filter out non-public query vars
  			global $wp;
! 			parse_str($query, $query_vars);
  			$query = array();
  			foreach ( (array) $query_vars as $key => $value ) {
! 				if ( in_array($key, $wp->public_query_vars) )
  					$query[$key] = $value;
  			}
  
  			// Do the query
! 			$query = new WP_Query($query);
! 			if ( !empty($query->posts) && $query->is_singular )
  				return $query->post->ID;
  			else
  				return 0;
--- 371,391 ----
  
  			// Filter out non-public query vars
  			global $wp;
! 			parse_str( $query, $query_vars );
  			$query = array();
  			foreach ( (array) $query_vars as $key => $value ) {
! 				if ( in_array( $key, $wp->public_query_vars ) ){
  					$query[$key] = $value;
+ 					if ( isset( $post_type_query_vars[$key] ) ) {
+ 						$query['post_type'] = $post_type_query_vars[$key];
+ 						$query['name'] = $value;
+ 					}
+ 				}
  			}
  
  			// Do the query
! 			$query = new WP_Query( $query );
! 			if ( ! empty( $query->posts ) && $query->is_singular )
  				return $query->post->ID;
  			else
  				return 0;
***************
*** 822,828 ****
  		global $wpdb;
  
  		//get pages in order of hierarchy, i.e. children after parents
! 		$posts = get_page_hierarchy( $wpdb->get_results("SELECT ID, post_name, post_parent FROM $wpdb->posts WHERE post_type = 'page' AND post_status != 'auto-draft'") );
  
  		// If we have no pages get out quick
  		if ( !$posts )
--- 840,847 ----
  		global $wpdb;
  
  		//get pages in order of hierarchy, i.e. children after parents
! 		$pages = $wpdb->get_results("SELECT ID, post_name, post_parent FROM $wpdb->posts WHERE post_type = 'page' AND post_status != 'auto-draft'");
! 		$posts = get_page_hierarchy( $pages );
  
  		// If we have no pages get out quick
  		if ( !$posts )
***************
*** 1435,1442 ****
  					if ( !empty($endpoints) ) {
  						foreach ( (array) $ep_query_append as $regex => $ep ) {
  							if ( $ep[0] & EP_ATTACHMENT ) {
! 								$rewrite[$sub1 . $regex] = $subquery . $ep[1] . $this->preg_index(2);
! 								$rewrite[$sub2 . $regex] = $subquery . $ep[1] . $this->preg_index(2);
  							}
  						}
  					}
--- 1454,1461 ----
  					if ( !empty($endpoints) ) {
  						foreach ( (array) $ep_query_append as $regex => $ep ) {
  							if ( $ep[0] & EP_ATTACHMENT ) {
! 								$rewrite[$sub1 . $regex] = $subquery . $ep[1] . $this->preg_index(3);
! 								$rewrite[$sub2 . $regex] = $subquery . $ep[1] . $this->preg_index(3);
  							}
  						}
  					}
***************
*** 1885,1893 ****
  	function flush_rules($hard = true) {
  		delete_option('rewrite_rules');
  		$this->wp_rewrite_rules();
! 		if ( $hard && function_exists('save_mod_rewrite_rules') )
  			save_mod_rewrite_rules();
! 		if ( $hard && function_exists('iis7_save_url_rewrite_rules') )
  			iis7_save_url_rewrite_rules();
  	}
  
--- 1904,1922 ----
  	function flush_rules($hard = true) {
  		delete_option('rewrite_rules');
  		$this->wp_rewrite_rules();
! 		/**
! 		 * Filter whether a "hard" rewrite rule flush should be performed when requested.
! 		 *
! 		 * A "hard" flush updates .htaccess (Apache) or web.config (IIS).
! 		 *
! 		 * @since 3.7.0
! 		 * @param bool $hard Defaults to true.
! 		 */
! 		if ( ! $hard || ! apply_filters( 'flush_rewrite_rules_hard', true ) )
! 			return;
! 		if ( function_exists( 'save_mod_rewrite_rules' ) )
  			save_mod_rewrite_rules();
! 		if ( function_exists( 'iis7_save_url_rewrite_rules' ) )
  			iis7_save_url_rewrite_rules();
  	}
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/rss-functions.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/rss-functions.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/rss-functions.php	2012-01-08 11:01:11.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/rss-functions.php	2013-09-24 19:18:11.000000000 -0500
***************
*** 6,9 ****
   */
  
  _deprecated_file( basename(__FILE__), '2.1', WPINC . '/rss.php' );
! require_once (ABSPATH . WPINC . '/rss.php');
--- 6,9 ----
   */
  
  _deprecated_file( basename(__FILE__), '2.1', WPINC . '/rss.php' );
! require_once( ABSPATH . WPINC . '/rss.php' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/rss.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/rss.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/rss.php	2013-07-31 01:53:06.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/rss.php	2013-09-06 12:19:09.000000000 -0500
***************
*** 10,15 ****
--- 10,16 ----
   *
   * @package External
   * @subpackage MagpieRSS
+  * @deprecated 3.0.0 Use SimplePie instead.
   */
  
  /**
***************
*** 17,26 ****
   */
  _deprecated_file( basename( __FILE__ ), '3.0', WPINC . '/class-simplepie.php' );
  
! /*
!  * Hook to use another RSS object instead of MagpieRSS
   */
! do_action('load_feed_engine');
  
  /** RSS feed constant. */
  define('RSS', 'RSS');
--- 18,30 ----
   */
  _deprecated_file( basename( __FILE__ ), '3.0', WPINC . '/class-simplepie.php' );
  
! /**
!  * Fires before MagpieRSS is loaded, to optionally replace it.
!  *
!  * @since 2.3.0
!  * @deprecated 3.0.0
   */
! do_action( 'load_feed_engine' );
  
  /** RSS feed constant. */
  define('RSS', 'RSS');
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/script-loader.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/script-loader.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/script-loader.php	2013-08-01 08:47:23.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/script-loader.php	2013-10-18 03:11:09.000000000 -0500
***************
*** 48,63 ****
   * @param object $scripts WP_Scripts object.
   */
  function wp_default_scripts( &$scripts ) {
  
! 	if ( !$guessurl = site_url() )
  		$guessurl = wp_guess_url();
  
  	$scripts->base_url = $guessurl;
  	$scripts->content_url = defined('WP_CONTENT_URL')? WP_CONTENT_URL : '';
  	$scripts->default_version = get_bloginfo( 'version' );
  	$scripts->default_dirs = array('/wp-admin/js/', '/wp-includes/js/');
  
! 	$suffix = defined('SCRIPT_DEBUG') && SCRIPT_DEBUG ? '' : '.min';
  
  	$scripts->add( 'utils', "/wp-includes/js/utils$suffix.js" );
  	did_action( 'init' ) && $scripts->localize( 'utils', 'userSettings', array(
--- 48,69 ----
   * @param object $scripts WP_Scripts object.
   */
  function wp_default_scripts( &$scripts ) {
+ 	include ABSPATH . WPINC . '/version.php'; // include an unmodified $wp_version
  
! 	if ( ! defined( 'SCRIPT_DEBUG' ) )
! 		define( 'SCRIPT_DEBUG', false !== strpos( $wp_version, '-src' ) );
! 
! 	if ( ! $guessurl = site_url() ) {
! 		$guessed_url = true;
  		$guessurl = wp_guess_url();
+ 	}
  
  	$scripts->base_url = $guessurl;
  	$scripts->content_url = defined('WP_CONTENT_URL')? WP_CONTENT_URL : '';
  	$scripts->default_version = get_bloginfo( 'version' );
  	$scripts->default_dirs = array('/wp-admin/js/', '/wp-includes/js/');
  
! 	$suffix = SCRIPT_DEBUG ? '' : '.min';
  
  	$scripts->add( 'utils', "/wp-includes/js/utils$suffix.js" );
  	did_action( 'init' ) && $scripts->localize( 'utils', 'userSettings', array(
***************
*** 176,182 ****
  	$scripts->add( 'jquery-ui-widget', '/wp-includes/js/jquery/ui/jquery.ui.widget.min.js', array('jquery'), '1.10.3', 1 );
  
  	// deprecated, not used in core, most functionality is included in jQuery 1.3
! 	$scripts->add( 'jquery-form', "/wp-includes/js/jquery/jquery.form$suffix.js", array('jquery'), '2.73', 1 );
  
  	// jQuery plugins
  	$scripts->add( 'jquery-color', "/wp-includes/js/jquery/jquery.color.min.js", array('jquery'), '2.1.1', 1 );
--- 182,188 ----
  	$scripts->add( 'jquery-ui-widget', '/wp-includes/js/jquery/ui/jquery.ui.widget.min.js', array('jquery'), '1.10.3', 1 );
  
  	// deprecated, not used in core, most functionality is included in jQuery 1.3
! 	$scripts->add( 'jquery-form', "/wp-includes/js/jquery/jquery.form$suffix.js", array('jquery'), '3.37.0', 1 );
  
  	// jQuery plugins
  	$scripts->add( 'jquery-color', "/wp-includes/js/jquery/jquery.color.min.js", array('jquery'), '2.1.1', 1 );
***************
*** 201,207 ****
  			'closeImage' => includes_url('js/thickbox/tb-close.png')
  	) );
  
! 	$scripts->add( 'jcrop', "/wp-includes/js/jcrop/jquery.Jcrop.min.js", array('jquery'), '0.9.10');
  
  	$scripts->add( 'swfobject', "/wp-includes/js/swfobject.js", array(), '2.2-20120417');
  
--- 207,213 ----
  			'closeImage' => includes_url('js/thickbox/tb-close.png')
  	) );
  
! 	$scripts->add( 'jcrop', "/wp-includes/js/jcrop/jquery.Jcrop.min.js", array('jquery'), '0.9.12');
  
  	$scripts->add( 'swfobject', "/wp-includes/js/swfobject.js", array(), '2.2-20120417');
  
***************
*** 279,285 ****
  
  	$scripts->add( 'revisions', "/wp-admin/js/revisions$suffix.js", array( 'wp-backbone', 'jquery-ui-slider', 'hoverIntent' ), false, 1 );
  
! 	$scripts->add( 'imgareaselect', "/wp-includes/js/imgareaselect/jquery.imgareaselect$suffix.js", array('jquery'), '0.9.8', 1 );
  
  	$scripts->add( 'mediaelement', "/wp-includes/js/mediaelement/mediaelement-and-player.min.js", array('jquery'), '2.13.0', 1 );
  	did_action( 'init' ) && $scripts->localize( 'mediaelement', 'mejsL10n', array(
--- 285,291 ----
  
  	$scripts->add( 'revisions', "/wp-admin/js/revisions$suffix.js", array( 'wp-backbone', 'jquery-ui-slider', 'hoverIntent' ), false, 1 );
  
! 	$scripts->add( 'imgareaselect', "/wp-includes/js/imgareaselect/jquery.imgareaselect$suffix.js", array('jquery'), '0.9.10', 1 );
  
  	$scripts->add( 'mediaelement', "/wp-includes/js/mediaelement/mediaelement-and-player.min.js", array('jquery'), '2.13.0', 1 );
  	did_action( 'init' ) && $scripts->localize( 'mediaelement', 'mejsL10n', array(
***************
*** 306,312 ****
  		'pluginPath' => includes_url( 'js/mediaelement/', 'relative' ),
  	) );
  
! 	$scripts->add( 'password-strength-meter', "/wp-admin/js/password-strength-meter$suffix.js", array('jquery'), false, 1 );
  	did_action( 'init' ) && $scripts->localize( 'password-strength-meter', 'pwsL10n', array(
  		'empty' => __('Strength indicator'),
  		'short' => __('Very weak'),
--- 312,323 ----
  		'pluginPath' => includes_url( 'js/mediaelement/', 'relative' ),
  	) );
  
! 	$scripts->add( 'zxcvbn-async', "/wp-includes/js/zxcvbn-async$suffix.js", array(), '1.0' );
! 	did_action( 'init' ) && $scripts->localize( 'zxcvbn-async', '_zxcvbnSettings', array(
! 		'src' => empty( $guessed_url ) ? includes_url( '/js/zxcvbn.min.js' ) : $scripts->base_url . '/wp-includes/js/zxcvbn.min.js',
! 	) );
! 
! 	$scripts->add( 'password-strength-meter', "/wp-admin/js/password-strength-meter$suffix.js", array( 'jquery', 'zxcvbn-async' ), false, 1 );
  	did_action( 'init' ) && $scripts->localize( 'password-strength-meter', 'pwsL10n', array(
  		'empty' => __('Strength indicator'),
  		'short' => __('Very weak'),
***************
*** 321,326 ****
--- 332,339 ----
  
  	$scripts->add( 'user-suggest', "/wp-admin/js/user-suggest$suffix.js", array( 'jquery-ui-autocomplete' ), false, 1 );
  
+ 	$scripts->add( 'about', "/wp-admin/js/about$suffix.js", array( 'jquery', 'password-strength-meter' ), false, 1 );
+ 
  	$scripts->add( 'admin-bar', "/wp-includes/js/admin-bar$suffix.js", array(), false, 1 );
  
  	$scripts->add( 'wplink', "/wp-includes/js/wplink$suffix.js", array( 'jquery', 'wpdialogs' ), false, 1 );
***************
*** 381,393 ****
  	$scripts->add( 'mce-view', "/wp-includes/js/mce-view$suffix.js", array( 'shortcode', 'media-models' ), false, 1 );
  
  	if ( is_admin() ) {
- 		$scripts->add( 'ajaxcat', "/wp-admin/js/cat$suffix.js", array( 'wp-lists' ) );
- 		$scripts->add_data( 'ajaxcat', 'group', 1 );
- 		did_action( 'init' ) && $scripts->localize( 'ajaxcat', 'catL10n', array(
- 			'add' => esc_attr(__('Add')),
- 			'how' => __('Separate multiple categories with commas.')
- 		) );
- 
  		$scripts->add( 'admin-tags', "/wp-admin/js/tags$suffix.js", array('jquery', 'wp-ajax-response'), false, 1 );
  		did_action( 'init' ) && $scripts->localize( 'admin-tags', 'tagsl10n', array(
  			'noPerm' => __('You do not have permission to do that.'),
--- 394,399 ----
***************
*** 527,532 ****
--- 533,542 ----
   * @param object $styles
   */
  function wp_default_styles( &$styles ) {
+ 	include ABSPATH . WPINC . '/version.php'; // include an unmodified $wp_version
+ 
+ 	if ( ! defined( 'SCRIPT_DEBUG' ) )
+ 		define( 'SCRIPT_DEBUG', false !== strpos( $wp_version, '-src' ) );
  
  	if ( ! $guessurl = site_url() )
  		$guessurl = wp_guess_url();
***************
*** 537,543 ****
  	$styles->text_direction = function_exists( 'is_rtl' ) && is_rtl() ? 'rtl' : 'ltr';
  	$styles->default_dirs = array('/wp-admin/', '/wp-includes/css/');
  
! 	$suffix = defined('SCRIPT_DEBUG') && SCRIPT_DEBUG ? '' : '.min';
  
  	$rtl_styles = array( 'wp-admin', 'ie', 'media', 'admin-bar', 'customize-controls', 'media-views', 'wp-color-picker' );
  	// Any rtl stylesheets that don't have a .min version
--- 547,553 ----
  	$styles->text_direction = function_exists( 'is_rtl' ) && is_rtl() ? 'rtl' : 'ltr';
  	$styles->default_dirs = array('/wp-admin/', '/wp-includes/css/');
  
! 	$suffix = SCRIPT_DEBUG ? '' : '.min';
  
  	$rtl_styles = array( 'wp-admin', 'ie', 'media', 'admin-bar', 'customize-controls', 'media-views', 'wp-color-picker' );
  	// Any rtl stylesheets that don't have a .min version
***************
*** 560,566 ****
  	$styles->add( 'thickbox', '/wp-includes/js/thickbox/thickbox.css', array(), '20121105' );
  	$styles->add( 'farbtastic', '/wp-admin/css/farbtastic.css', array(), '1.3u1' );
  	$styles->add( 'wp-color-picker', "/wp-admin/css/color-picker$suffix.css" );
! 	$styles->add( 'jcrop', "/wp-includes/js/jcrop/jquery.Jcrop.min.css", array(), '0.9.10' );
  	$styles->add( 'imgareaselect', '/wp-includes/js/imgareaselect/imgareaselect.css', array(), '0.9.8' );
  	$styles->add( 'admin-bar', "/wp-includes/css/admin-bar$suffix.css" );
  	$styles->add( 'wp-jquery-ui-dialog', "/wp-includes/css/jquery-ui-dialog$suffix.css" );
--- 570,576 ----
  	$styles->add( 'thickbox', '/wp-includes/js/thickbox/thickbox.css', array(), '20121105' );
  	$styles->add( 'farbtastic', '/wp-admin/css/farbtastic.css', array(), '1.3u1' );
  	$styles->add( 'wp-color-picker', "/wp-admin/css/color-picker$suffix.css" );
! 	$styles->add( 'jcrop', "/wp-includes/js/jcrop/jquery.Jcrop.min.css", array(), '0.9.12' );
  	$styles->add( 'imgareaselect', '/wp-includes/js/imgareaselect/imgareaselect.css', array(), '0.9.8' );
  	$styles->add( 'admin-bar', "/wp-includes/css/admin-bar$suffix.css" );
  	$styles->add( 'wp-jquery-ui-dialog', "/wp-includes/css/jquery-ui-dialog$suffix.css" );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/shortcodes.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/shortcodes.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/shortcodes.php	2013-04-29 09:48:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/shortcodes.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 338,344 ****
  		else
  			$out[$name] = $default;
  	}
! 
  	if ( $shortcode )
  		$out = apply_filters( "shortcode_atts_{$shortcode}", $out, $pairs, $atts );
  
--- 338,355 ----
  		else
  			$out[$name] = $default;
  	}
! 	/**
! 	 * Filter a shortcode's default attributes.
! 	 *
! 	 * If the third parameter of the shortcode_atts() function is present then this filter is available.
! 	 * The third parameter, $shortcode, is the name of the shortcode.
! 	 *
! 	 * @since 3.6.0
! 	 *
! 	 * @param array $out The output array of shortcode attributes.
! 	 * @param array $pairs The supported attributes and their defaults.
! 	 * @param array $atts The user defined shortcode attributes.
! 	 */
  	if ( $shortcode )
  		$out = apply_filters( "shortcode_atts_{$shortcode}", $out, $pairs, $atts );
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/SimplePie/Sanitize.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/SimplePie/Sanitize.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/SimplePie/Sanitize.php	2012-12-02 10:43:12.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/SimplePie/Sanitize.php	2013-09-10 23:02:10.000000000 -0500
***************
*** 315,321 ****
  							}
  							else
  							{
! 								$file = $this->registry->create('File', array($img['attribs']['src']['data'], $this->timeout, 5, array('X-FORWARDED-FOR' => $_SERVER['REMOTE_ADDR']), $this->useragent, $this->force_fsockopen));
  								$headers = $file->headers;
  
  								if ($file->success && ($file->method & SIMPLEPIE_FILE_SOURCE_REMOTE === 0 || ($file->status_code === 200 || $file->status_code > 206 && $file->status_code < 300)))
--- 315,321 ----
  							}
  							else
  							{
! 								$file = $this->registry->create('File', array($img->getAttribute('src'), $this->timeout, 5, array('X-FORWARDED-FOR' => $_SERVER['REMOTE_ADDR']), $this->useragent, $this->force_fsockopen));
  								$headers = $file->headers;
  
  								if ($file->success && ($file->method & SIMPLEPIE_FILE_SOURCE_REMOTE === 0 || ($file->status_code === 200 || $file->status_code > 206 && $file->status_code < 300)))
